load ('Figure2Data.mat');

figure(1);
set(gcf,'Position',[0 0 240 240],'Color','w');
hold on
plot(r,h1(1,:),'k:','LineWidth',2);
plot(r,h4(1,:),'k:','LineWidth',2);
plot(r,h1(1001,:),'k-');
plot(r,h4(end,:),'k-');
plot(r,2*(1-r.^2)/pi,'k--','LineWidth',2)
plot(r,0.8*(1-r.^2)/pi,'k--','LineWidth',2)
axis([0 1 0 0.75]);
ax = gca;
ax.XTickMode = 'manual';
ax.YTickMode = 'manual';
ax.XMinorTick = 'off';
ax.YMinorTick = 'off';
ax.XTick = [0,0.2,0.4,0.6,0.8,1];
ax.YTick = [0,0.1,0.2,0.3,0.4,0.5,0.6,0.7];
ax.XMinorGrid = 'off';
ax.YMinorGrid = 'off';
grid on;
xlabel('$r$','fontsize',12,'Interpreter','Latex')
ylabel('$h_0(r,t)$','fontsize',12,'Interpreter','Latex')

figure(2);
set(gcf,'Position',[0 0 240 240],'Color','w');
hold on
plot(theta1(:,1),theta1(:,2),'k-');
plot(theta1(:,1),(4/pi)*ones(length(theta1(:,1))),'k--','LineWidth',2);
axis([0 0.5 0.95 1.3]);
ax = gca;
ax.XTickMode = 'manual';
ax.YTickMode = 'manual';
ax.XMinorTick = 'off';
ax.YMinorTick = 'off';
ax.XTick = [0,0.1,0.2,0.3,0.4,0.5];
ax.YTick = [0.95,1,1.05,1.1,1.15,1.2,1.25,1.3];
ax.XMinorGrid = 'off';
ax.YMinorGrid = 'off';
grid on;
xlabel('$t$','fontsize',12,'Interpreter','Latex')
ylabel('$\theta_0(t)$','fontsize',12,'Interpreter','Latex')

figure(3);
set(gcf,'Position',[0 0 240 240],'Color','w');
hold on
plot(theta4(:,1),theta4(:,2),'k-');
plot(theta4(:,1),(4*0.4/pi)*ones(length(theta4(:,1))),'k--','LineWidth',2);
axis([0 10 0.48 1]);
ax = gca;
ax.XTickMode = 'manual';
ax.YTickMode = 'manual';
ax.XMinorTick = 'off';
ax.YMinorTick = 'off';
ax.XTick = [0,2,4,6,8,10];
ax.YTick = [0.5,0.6,0.7,0.8,0.9,1];
ax.XMinorGrid = 'off';
ax.YMinorGrid = 'off';
grid on;
xlabel('$t$','fontsize',12,'Interpreter','Latex')
ylabel('$\theta_0(t)$','fontsize',12,'Interpreter','Latex')